Update a course evaluation question tag
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_tag",
"attributes": {
"name": "Teaching Effectiveness"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_tags/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_tag",
"attributes": { "name": "Teaching Effectiveness" },
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'course_evaluation_question_tag',
attributes: {name: 'Teaching Effectiveness'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_tag",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Teaching Effectiveness"
},
"relationships": {
"questions": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Course Evaluation Question Tags
Update a course evaluation question tag
PATCH
/
api
/
v1
/
course_evaluation_question_tags
/
{id}
Update a course evaluation question tag
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_tag",
"attributes": {
"name": "Teaching Effectiveness"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_tags/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_tag",
"attributes": { "name": "Teaching Effectiveness" },
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'course_evaluation_question_tag',
attributes: {name: 'Teaching Effectiveness'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_tag",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Teaching Effectiveness"
},
"relationships": {
"questions": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
course evaluation question tag updated
Show child attributes
Show child attributes
⌘I